# nucleic

[![Testing Status](https://travis-ci.org/clintval/nucleic.svg?branch=master)](https://travis-ci.org/clintval/nucleic)
[![codecov](https://codecov.io/gh/clintval/nucleic/branch/master/graph/badge.svg)](https://codecov.io/gh/clintval/nucleic)
[![Documentation Build Status](https://readthedocs.org/projects/nucleic/badge/?version=latest)](https://nucleic.readthedocs.io/en/latest/?badge=latest)
[![PyPi Release](https://badge.fury.io/py/nucleic.svg)](https://badge.fury.io/py/nucleic)
[![Python Versions](https://img.shields.io/pypi/pyversions/nucleic.svg)](https://pypi.python.org/pypi/nucleic/)
[![MyPy Checked](http://www.mypy-lang.org/static/mypy_badge.svg)](http://mypy-lang.org/)
[![Code style: black](https://img.shields.io/badge/code%20style-black-000000.svg)](https://github.com/ambv/black)

Analysis and plotting library for base substitution spectra and signatures.

```bash
❯ pip install nucleic
```

Features:

- Model single nucleotide variants and their local context with an elegant API
- Combine single nucleotide variants into spectrums of mutagenesis
- Fetch COSMIC signatures of mutation as well as other published signatures
- SVG plotting functions for displaying patterns of mutagenesis

Read the documentation at: [nucleic.readthedocs.io](http://nucleic.readthedocs.io/)